%define upstream_name    Tree-RB
%define upstream_version 0.500006

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Tree::RB guts
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Tree/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Module::Build::Tiny)
BuildRequires: perl(Test::More)
BuildRequires: perl(enum)
BuildArch: noarch

%description
This is a Perl implementation of the Red/Black tree, a type of balanced
binary search tree.

A tied hash interface is also provided to allow ordered hashes to be used.

See the Wikipedia article at the
https://en.wikipedia.org/wiki/Red-black_tree manpage for further information
about Red/Black trees.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%buildroot

%files
%doc Changes META.yml README.md
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.500.6-5.mga10
+ Revision: 2208659
- Mageia 10 Mass Rebuild

* Tue Mar 22 2022 umeabot <umeabot> 0.500.6-4.mga9
+ Revision: 1819068
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.500.6-3.mga8
+ Revision: 1506872
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.500.6-2.mga7
+ Revision: 1287132
- Mageia 7 Mass Rebuild

* Tue Oct 24 2017 shlomif <shlomif> 0.500.6-1.mga7
+ Revision: 1173373
- New version 0.500006

* Tue Oct 03 2017 tv <tv> 0.500.5-5.mga7
+ Revision: 1167210
- rebuild with fixed rpm for missing autodeps

* Wed Sep 27 2017 tv <tv> 0.500.5-4.mga7
+ Revision: 1160343
- add BR on perl(inc::Module::Install)

* Sun Jun 19 2016 pterjan <pterjan> 0.500.5-3.mga6
+ Revision: 1035420
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.500.5-2.mga6
+ Revision: 965662
- Mageia 6 Mass Rebuild

* Sat May 09 2015 shlomif <shlomif> 0.500.5-1.mga6
+ Revision: 821593
- imported package perl-Tree-RB


* Sat May 09 2015 cpan2dist 0.500005-1mga
- initial mageia release, generated with cpan2dist
